function Install-Git {
<#
.SYNOPSIS
Installs gi-tf and all prerequisites including git and the java run time via chocolatey

.LINK
https://BigGit.Codeplex.com
http://chocolatey.org
#>
    Write-BigGitMessage "Installing Git-tf and its prerequisites via Chocolatey (See http://chocolatey.org)"  -backgroundColor darkgreen
    if(-not $env:ChocolateyInstall -or -not (Test-Path "$env:ChocolateyInstall")){
        $env:ChocolateyInstall = "$env:systemdrive\chocolatey"
        New-Item $env:ChocolateyInstall -Force -type directory
        iex ((new-object net.webclient).DownloadString('http://bit.ly/psChocInstall'))
        $env:path += ";$env:ChocolateyInstall\bin"
    }

    ."$env:ChocolateyInstall\chocolateyinstall\chocolatey.ps1" install git-tf
}