function Set-NonVolatileLinks {
<#
.SYNOPSIS
Creates symbolic links in the current directory to the provided path

.PARAMETER NonVolatileDir
The path containing the ddirectories to be linked. The default is the directory containing the NonVolatile workspace.

.LINK
https://BigGit.Codeplex.com
Add-NonVolatileEnlistment
#>
    param(  [string] $nonVolatileDir = $null )
    if(!$nonVolatileDir) { $nonVolatileDir = Get-BigGitConfig "NonVolatilePath" }
    if(!$nonVolatileDir) {
        Write-BigGitMessage "No Nonvolatile workspace fount to link from. No symbolic links created"
        return
    }
    $nonVolatileDir=Resolve-Path $nonVolatileDir
    Get-ChildItem $nonVolatileDir | % {
        if((test-path ".\$_") -and !(Get-ChildItem ".\$_")){remove-item ".\$_"}
        Cmd /c mklink /d ".\$_" "$nonVolatileDir\$_"
    }
    if(test-path "$nonVolatileDir\internaLapis"){
        Get-ChildItem "$nonVolatileDir\internaLapis" | % {
            $_
            if((test-path ".\InternalApis\$_") -and !(Get-ChildItem ".\InternalApis\$_")){remove-item ".\InternalApis\$_"}
            Cmd /c mklink /d ".\InternalApis\$_" "$nonVolatileDir\InternalApis\$_"
        }
    }
}